Orxonox: orxonox::BoxCollisionShape Class Reference

# orxonox::BoxCollisionShape Class Reference

`#include <src/orxonox/objects/collisionshapes/BoxCollisionShape.h>`

Inheritance diagram for orxonox::BoxCollisionShape:

List of all members.

## Public Member Functions

| BoxCollisionShape (BaseObject *creator)
const Vector3 & | getHalfExtents () const
float | getHeight () const
float | getLength () const
float | getWidth () const
void | registerVariables ()
void | setHalfExtents (const Vector3 &extents)
void | setHeight (float value)
void | setLength (float value)
void | setWidth (float value)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~BoxCollisionShape ()

## Private Member Functions

btCollisionShape * | createNewShape () const

## Private Attributes

Vector3 | halfExtents_

## Constructor & Destructor Documentation

orxonox::BoxCollisionShape::BoxCollisionShape | ( | BaseObject * | creator | ) |

References halfExtents_, RegisterObject, registerVariables(), orxonox::CollisionShape::updateShape(), and orxonox::MT_Type::Vector3.

orxonox::BoxCollisionShape::~BoxCollisionShape | ( |  | ) | `[virtual]`

References orxonox::CollisionShape::collisionShape_, and orxonox::BaseObject::isInitialized().

## Member Function Documentation

btCollisionShape * orxonox::BoxCollisionShape::createNewShape | ( |  | ) | const`[private, virtual]`

Implements orxonox::CollisionShape.

References halfExtents_.

const Vector3& orxonox::BoxCollisionShape::getHalfExtents | ( |  | ) | const`[inline]`

Referenced by XMLPort().

float orxonox::BoxCollisionShape::getHeight | ( | void |  | ) | const`[inline]`

float orxonox::BoxCollisionShape::getLength | ( |  | ) | const`[inline]`

float orxonox::BoxCollisionShape::getWidth | ( | void |  | ) | const`[inline]`

void orxonox::BoxCollisionShape::registerVariables | ( |  | ) |

Reimplemented from orxonox::CollisionShape.

References halfExtents_, orxonox::Synchronisable::registerVariable(), orxonox::VariableDirection::ToClient, and orxonox::CollisionShape::updateShape().

Referenced by BoxCollisionShape().

void orxonox::BoxCollisionShape::setHalfExtents | ( | const Vector3 & | extents | ) | `[inline]`

Referenced by XMLPort().

void orxonox::BoxCollisionShape::setHeight | ( | float | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::BoxCollisionShape::setLength | ( | float | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::BoxCollisionShape::setWidth | ( | float | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::BoxCollisionShape::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::CollisionShape.

References getHalfExtents(), setHalfExtents(), setHeight(), setLength(), setWidth(), SUPER, XMLPortParam, and XMLPortParamLoadOnly.

## Member Data Documentation

Vector3 orxonox::BoxCollisionShape::halfExtents_`[private]`

Referenced by BoxCollisionShape(), createNewShape(), and registerVariables().

The documentation for this class was generated from the following files:

- src/orxonox/objects/collisionshapes/BoxCollisionShape.h
- src/orxonox/objects/collisionshapes/BoxCollisionShape.cc